---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: aliasmanager
  labels:
    app: aliasmanager
spec:
  replicas: 1
  selector:
    matchLabels:
      app: aliasmanager
  template:
    metadata:
      labels:
        app: aliasmanager
    spec:
      serviceAccountName: aliasmanager
      containers:
        - name: aliasmanager
          image: registry.ethz.ch/k8s-let/ethz-aliasmanager:latest
          imagePullPolicy: Always
          livenessProbe:
            exec:
              command:
                - cat
                - /tmp/healthy
            initialDelaySeconds: 5
            periodSeconds: 5
          resources:
            limits:
              cpu: 1
            requests:
              cpu: 100m
